Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 22 Mar 2021 14:58:15 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns RP0312210003678.. I got the Return ID but please let me know which agency should I return this to. I am in Thuwal. My initial shipping address was wrong. So I received this package after a long delay. No I want to return one item. Kindly let me know which agency-Aramex or smsa or dhl- that can accept this return. Any help is much appreciated. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2284999